| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
PUSH_BUTTON_OBJECT_s Struct Reference

`#include <push_button/drivers/drv_push_button.h>`

Collaboration diagram for PUSH_BUTTON_OBJECT_s:

## Data Fields
volatile struct PUSH_BUTTON_STATUS_s | status
| Status word of the switch object. More...
volatile uint16_t | debounce_delay
| Number of call cycles until a switch event is triggered. More...
volatile uint16_t | long_press_delay
| Number of call cycles until a "long press" switch event is triggered. More...
volatile uint16_t(* | event_btn_down )(void)
| Function pointer to user function triggering a PRESSED event. More...
volatile uint16_t(* | event_long_press )(void)
| Function pointer to user function triggering a LONG_PRESS event. More...
volatile uint16_t(* | event_pressed )(void)
| Function pointer to user function triggering a LONG_PRESS event. More...
volatile uint16_t(* | event_btn_up )(void)
| Function pointer to user function triggering a RELEASE event. More...

## Detailed Description

Definition at line 108 of file drv_push_button.h.

## Field Documentation

## ◆ debounce_delay

volatile uint16_t debounce_delay

Number of call cycles until a switch event is triggered.

Definition at line 111 of file drv_push_button.h.

## ◆ event_btn_down

volatile uint16_t(* event_btn_down) (void)

Function pointer to user function triggering a PRESSED event.

Definition at line 113 of file drv_push_button.h.

## ◆ event_btn_up

volatile uint16_t(* event_btn_up) (void)

Function pointer to user function triggering a RELEASE event.

Definition at line 116 of file drv_push_button.h.

## ◆ event_long_press

volatile uint16_t(* event_long_press) (void)

Function pointer to user function triggering a LONG_PRESS event.

Definition at line 114 of file drv_push_button.h.

## ◆ event_pressed

volatile uint16_t(* event_pressed) (void)

Function pointer to user function triggering a LONG_PRESS event.

Definition at line 115 of file drv_push_button.h.

## ◆ long_press_delay

volatile uint16_t long_press_delay

Number of call cycles until a "long press" switch event is triggered.

Definition at line 112 of file drv_push_button.h.

## ◆ status

volatile struct PUSH_BUTTON_STATUS_s status

Status word of the switch object.

Definition at line 110 of file drv_push_button.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/push_button/drivers/drv_push_button.h